libzypp 17.37.10

Locks.cc File Reference
`#include <set>`
`#include <fstream>`
`#include <algorithm>`
`#include <zypp/base/Regex.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/IOStream.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/PoolQueryUtil.tcc>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/sat/SolvAttr.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/Locks.h>`

Go to the source code of this file.

## Classes
class | zypp::Locks::Impl
struct | zypp::ApplyLock
struct | zypp::LockingOutputIterator< OutputIterator >
| iterator that takes lock, lock all solvables from query and send query to output iterator More...
class | zypp::LocksCleanPredicate
class | zypp::LocksRemovePredicate

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "locks"

## Typedefs
using | zypp::LockSet = std::set<PoolQuery>

## Functions
template<typename TPredicate>
void | zypp::remove_if (LockSet &lockset_r, TPredicate pred_r)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "locks"

Definition at line 27 of file Locks.cc.